<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head>
<body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.nio.integration.testNoServiceHandler');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestHttpsAsyncHandlers.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestHttpsAsyncHandlers_testNoServiceHandler_3f.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/nio/integration/TestHttpAsyncHandlers.html?line=697#src-697" >testNoServiceHandler</a>
    </td>
        <td class="graphPercent alignTop">
        0.2%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:45:02
    </td>
    <td class="graphPercent alignTop">
        0.092    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testNoServiceHandler</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentDecoder.html?id=123#AbstractContentDecoder"             title="AbstractContentDecoder" name="sl-45">org.apache.http.impl.nio.codecs.AbstractContentDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=123#AbstractMultiworkerIOReactor.DefaultThreadFactory"             title="AbstractMultiworkerIOReactor.DefaultThreadFactory" name="sl-591">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ChannelEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html?id=123#ChannelEntry"             title="ChannelEntry" name="sl-43">org.apache.http.impl.nio.reactor.ChannelEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.HeapByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/HeapByteBufferAllocator.html?id=123#HeapByteBufferAllocator"             title="HeapByteBufferAllocator" name="sl-41">org.apache.http.nio.util.HeapByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.NullRequestHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/NullRequestHandler.html?id=123#NullRequestHandler"             title="NullRequestHandler" name="sl-37">org.apache.http.nio.protocol.NullRequestHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html?id=123#BasicNIOPoolEntry"             title="BasicNIOPoolEntry" name="sl-45">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=123#AbstractMultiworkerIOReactor.Worker"             title="AbstractMultiworkerIOReactor.Worker" name="sl-564">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentEncoder.html?id=123#AbstractContentEncoder"             title="AbstractContentEncoder" name="sl-46">org.apache.http.impl.nio.codecs.AbstractContentEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.88235295</span>
            88.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="11.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="88.2% Covered" class="barPositive contribBarPositive" style="width: 88.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.ErrorResponseProducer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/ErrorResponseProducer.html?id=123#ErrorResponseProducer"             title="ErrorResponseProducer" name="sl-41">org.apache.http.nio.protocol.ErrorResponseProducer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7916667</span>
            79.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="20.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="79.2% Covered" class="barPositive contribBarPositive" style="width: 79.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.SessionHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/SessionHttpContext.html?id=123#SessionHttpContext"             title="SessionHttpContext" name="sl-33">org.apache.http.impl.nio.SessionHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestHandle</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestHandle.html?id=123#SessionRequestHandle"             title="SessionRequestHandle" name="sl-42">org.apache.http.impl.nio.reactor.SessionRequestHandle</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncResponseConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html?id=123#BasicAsyncResponseConsumer"             title="BasicAsyncResponseConsumer" name="sl-51">org.apache.http.nio.protocol.BasicAsyncResponseConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService.State</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=123#HttpAsyncService.State"             title="HttpAsyncService.State" name="sl-608">org.apache.http.nio.protocol.HttpAsyncService.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.74647886</span>
            74.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="25.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="74.6% Covered" class="barPositive contribBarPositive" style="width: 74.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html?id=123#DefaultHttpRequestWriter"             title="DefaultHttpRequestWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html?id=123#DefaultHttpResponseWriter"             title="DefaultHttpResponseWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=123#SSLIOSession"             title="SSLIOSession" name="sl-71">org.apache.http.nio.reactor.ssl.SSLIOSession</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6736527</span>
            67.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="32.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="67.4% Covered" class="barPositive contribBarPositive" style="width: 67.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html?id=123#UriHttpAsyncRequestHandlerMapper"             title="UriHttpAsyncRequestHandlerMapper" name="sl-52">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.LeaseRequest</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/LeaseRequest.html?id=123#LeaseRequest"             title="LeaseRequest" name="sl-34">org.apache.http.nio.pool.LeaseRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html?id=123#AbstractMessageWriter"             title="AbstractMessageWriter" name="sl-53">org.apache.http.impl.nio.codecs.AbstractMessageWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.65384614</span>
            65.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="65.4% Covered" class="barPositive contribBarPositive" style="width: 65.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html?id=123#DefaultNHttpServerConnection"             title="DefaultNHttpServerConnection" name="sl-76">org.apache.http.impl.nio.DefaultNHttpServerConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6025641</span>
            60.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.3% Covered" class="barPositive contribBarPositive" style="width: 60.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html?id=123#AbstractMessageParser"             title="AbstractMessageParser" name="sl-59">org.apache.http.impl.nio.codecs.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.60169494</span>
            60.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.2% Covered" class="barPositive contribBarPositive" style="width: 60.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html?id=123#AbstractIODispatch"             title="AbstractIODispatch" name="sl-45">org.apache.http.impl.nio.reactor.AbstractIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5729167</span>
            57.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.3% Covered" class="barPositive contribBarPositive" style="width: 57.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html?id=123#DefaultNHttpClientConnection"             title="DefaultNHttpClientConnection" name="sl-75">org.apache.http.impl.nio.DefaultNHttpClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.55921054</span>
            55.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="44.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="55.9% Covered" class="barPositive contribBarPositive" style="width: 55.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AbstractAsyncResponseConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html?id=123#AbstractAsyncResponseConsumer"             title="AbstractAsyncResponseConsumer" name="sl-48">org.apache.http.nio.protocol.AbstractAsyncResponseConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.54901963</span>
            54.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="45.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="54.9% Covered" class="barPositive contribBarPositive" style="width: 54.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html?id=123#HttpAsyncRequester.RequestExecutionCallback"             title="HttpAsyncRequester.RequestExecutionCallback" name="sl-362">org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5294118</span>
            52.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.9% Covered" class="barPositive contribBarPositive" style="width: 52.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.NullRequestConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/NullRequestConsumer.html?id=123#NullRequestConsumer"             title="NullRequestConsumer" name="sl-38">org.apache.http.nio.protocol.NullRequestConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5217391</span>
            52.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.2% Covered" class="barPositive contribBarPositive" style="width: 52.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.NStringEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/NStringEntity.html?id=123#NStringEntity"             title="NStringEntity" name="sl-56">org.apache.http.nio.entity.NStringEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5106383</span>
            51.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="48.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="51.1% Covered" class="barPositive contribBarPositive" style="width: 51.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.BaseIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/BaseIOReactor.html?id=123#BaseIOReactor"             title="BaseIOReactor" name="sl-55">org.apache.http.impl.nio.reactor.BaseIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.03448276</span>
                3.4%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.50574714</span>
            50.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="49.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50.6% Covered" class="barPositive contribBarPositive" style="width: 50.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=123#SSLIOSession.InternalByteChannel"             title="SSLIOSession.InternalByteChannel" name="sl-601">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=123#HttpAsyncRequestExecutor.State"             title="HttpAsyncRequestExecutor.State" name="sl-392">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4909091</span>
            49.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="49.1% Covered" class="barPositive contribBarPositive" style="width: 49.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html?id=123#DefaultConnectingIOReactor"             title="DefaultConnectingIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4857143</span>
            48.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.6% Covered" class="barPositive contribBarPositive" style="width: 48.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html?id=123#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html?id=123#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=123#HttpAsyncRequestExecutor"             title="HttpAsyncRequestExecutor" name="sl-79">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44583333</span>
            44.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.6% Covered" class="barPositive contribBarPositive" style="width: 44.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpServerIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html?id=123#DefaultHttpServerIODispatch"             title="DefaultHttpServerIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpServerIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44117647</span>
            44.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.1% Covered" class="barPositive contribBarPositive" style="width: 44.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.RouteSpecificPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/RouteSpecificPool.html?id=123#RouteSpecificPool"             title="RouteSpecificPool" name="sl-44">org.apache.http.nio.pool.RouteSpecificPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.43220338</span>
            43.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="56.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="43.2% Covered" class="barPositive contribBarPositive" style="width: 43.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService.Exchange</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=123#HttpAsyncService.Exchange"             title="HttpAsyncService.Exchange" name="sl-737">org.apache.http.nio.protocol.HttpAsyncService.Exchange</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.41304347</span>
            41.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="58.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="41.3% Covered" class="barPositive contribBarPositive" style="width: 41.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.NHttpConnectionBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html?id=123#NHttpConnectionBase"             title="NHttpConnectionBase" name="sl-97">org.apache.http.impl.nio.NHttpConnectionBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40343347</span>
            40.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.3% Covered" class="barPositive contribBarPositive" style="width: 40.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIOReactor.html?id=123#AbstractIOReactor"             title="AbstractIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.AbstractIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40298507</span>
            40.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.3% Covered" class="barPositive contribBarPositive" style="width: 40.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequester</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html?id=123#HttpAsyncRequester"             title="HttpAsyncRequester" name="sl-61">org.apache.http.nio.protocol.HttpAsyncRequester</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40350878</span>
            40.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.4% Covered" class="barPositive contribBarPositive" style="width: 40.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpClientIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html?id=123#DefaultHttpClientIODispatch"             title="DefaultHttpClientIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpClientIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html?id=123#LengthDelimitedEncoder"             title="LengthDelimitedEncoder" name="sl-55">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html?id=123#BasicAsyncRequestExecutionHandler"             title="BasicAsyncRequestExecutionHandler" name="sl-57">org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=123#HttpAsyncService"             title="HttpAsyncService" name="sl-98">org.apache.http.nio.protocol.HttpAsyncService</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39880952</span>
            39.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.9% Covered" class="barPositive contribBarPositive" style="width: 39.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentBufferEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentBufferEntity.html?id=123#ContentBufferEntity"             title="ContentBufferEntity" name="sl-44">org.apache.http.nio.entity.ContentBufferEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3846154</span>
            38.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.5% Covered" class="barPositive contribBarPositive" style="width: 38.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.ExpandableBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/ExpandableBuffer.html?id=123#ExpandableBuffer"             title="ExpandableBuffer" name="sl-47">org.apache.http.nio.util.ExpandableBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3611111</span>
            36.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="36.1% Covered" class="barPositive contribBarPositive" style="width: 36.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?id=123#DefaultListeningIOReactor"             title="DefaultListeningIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.35664335</span>
            35.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.7% Covered" class="barPositive contribBarPositive" style="width: 35.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=123#AbstractNIOConnPool"             title="AbstractNIOConnPool" name="sl-67">org.apache.http.nio.pool.AbstractNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.35635358</span>
            35.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.6% Covered" class="barPositive contribBarPositive" style="width: 35.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOSessionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOSessionImpl.html?id=123#IOSessionImpl"             title="IOSessionImpl" name="sl-54">org.apache.http.impl.nio.reactor.IOSessionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33663365</span>
            33.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.7% Covered" class="barPositive contribBarPositive" style="width: 33.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestImpl.html?id=123#SessionRequestImpl"             title="SessionRequestImpl" name="sl-47">org.apache.http.impl.nio.reactor.SessionRequestImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.015037594</span>
                1.5%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.31578946</span>
            31.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.6% Covered" class="barPositive contribBarPositive" style="width: 31.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html?id=123#ListenerEndpointImpl"             title="ListenerEndpointImpl" name="sl-45">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3125</span>
            31.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.2% Covered" class="barPositive contribBarPositive" style="width: 31.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?id=123#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3021978</span>
            30.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.2% Covered" class="barPositive contribBarPositive" style="width: 30.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestProducer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html?id=123#BasicAsyncRequestProducer"             title="BasicAsyncRequestProducer" name="sl-54">org.apache.http.nio.protocol.BasicAsyncRequestProducer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2962963</span>
            29.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="29.6% Covered" class="barPositive contribBarPositive" style="width: 29.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html?id=123#LengthDelimitedDecoder"             title="LengthDelimitedDecoder" name="sl-56">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.29245284</span>
            29.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="29.2% Covered" class="barPositive contribBarPositive" style="width: 29.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.SimpleInputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/SimpleInputBuffer.html?id=123#SimpleInputBuffer"             title="SimpleInputBuffer" name="sl-42">org.apache.http.nio.util.SimpleInputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.28787878</span>
            28.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.8% Covered" class="barPositive contribBarPositive" style="width: 28.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?id=123#SessionOutputBufferImpl"             title="SessionOutputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26875</span>
            26.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.9% Covered" class="barPositive contribBarPositive" style="width: 26.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html?id=123#BasicNIOConnPool"             title="BasicNIOConnPool" name="sl-60">org.apache.http.impl.nio.pool.BasicNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26086956</span>
            26.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.1% Covered" class="barPositive contribBarPositive" style="width: 26.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=123#AbstractNIOConnPool.InternalSessionRequestCallback"             title="AbstractNIOConnPool.InternalSessionRequestCallback" name="sl-555">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=123#AbstractMultiworkerIOReactor"             title="AbstractMultiworkerIOReactor" name="sl-98">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23305085</span>
            23.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.3% Covered" class="barPositive contribBarPositive" style="width: 23.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriterFactory.html?id=123#DefaultHttpRequestWriterFactory"             title="DefaultHttpRequestWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html?id=123#DefaultHttpResponseWriterFactory"             title="DefaultHttpResponseWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html?id=123#BasicNIOConnFactory"             title="BasicNIOConnFactory" name="sl-59">org.apache.http.impl.nio.pool.BasicNIOConnFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21875</span>
            21.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.9% Covered" class="barPositive contribBarPositive" style="width: 21.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParserFactory.html?id=123#DefaultHttpRequestParserFactory"             title="DefaultHttpRequestParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html?id=123#DefaultHttpResponseParserFactory"             title="DefaultHttpResponseParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentInputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentInputStream.html?id=123#ContentInputStream"             title="ContentInputStream" name="sl-44">org.apache.http.nio.entity.ContentInputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15384616</span>
            15.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.4% Covered" class="barPositive contribBarPositive" style="width: 15.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOReactorConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html?id=123#IOReactorConfig"             title="IOReactorConfig" name="sl-42">org.apache.http.impl.nio.reactor.IOReactorConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.13333334</span>
            13.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="13.3% Covered" class="barPositive contribBarPositive" style="width: 13.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
